package com.dzeio.openhealth.core

import androidx.lifecycle.ViewModelProvider
import androidx.viewbinding.ViewBinding

/**
 * Base dialog
 *
 * note: Dialog crash app with viewmodel error? add @AndroidEntryPoint
 */
abstract class BaseDialog<VM : BaseViewModel, VB : ViewBinding>(
    private val viewModelClass: Class<VM>
) :
    BaseSimpleDialog<VB>() {

    val viewModel by lazy {
        ViewModelProvider(this)[viewModelClass]
    }
}
