package com.dzeio.openhealth.interfaces

import android.app.NotificationManager

/**
 * The different notification channels the applicaiton is using
 */
enum class NotificationChannels(
    val id: String,
    val channelName: String,
    val importance: Int
) {
    WATER("water", "Water Notifications", NotificationManager.IMPORTANCE_DEFAULT),
    SERVICE("service", "Open Health Service", NotificationManager.IMPORTANCE_MIN)
}
