package com.dzeio.openhealth.utils

data class NetworkResult<T>(
    var status: NetworkStatus = NetworkStatus.RUNNING,
    var data: T? = null
) {
    enum class NetworkStatus {
        RUNNING,
        FINISHED,
        ERRORED
    }
}
